#ifndef Avatar_h
#define Avatar_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseChatCommand.h"
#include "ConnectionId.h"

#include <QImage>
#include <QByteArray>
#include <QDataStream>

//_________________________________________
//* sending avatar pixmap over the server
class Avatar:public BaseChatCommand
{

    public:

    //* constructor
    // Avatar( const ConnectionId& = ConnectionId(), QPixmap = QPixmap() );
    Avatar( const ConnectionId& = ConnectionId(), QImage = QImage() );

    //*@name accessors
    //@{

    //* avatar
    QImage image( void ) const
    { return avatar_; }

    //@}

    //*@name modifiers
    //@{

    //* avatar
    void setImage( QImage value )
    { avatar_ = value; }

    //@}

    private:

    //* avatar
    QImage avatar_;

    //*@name serializers
    //@{
    friend QDataStream& operator << (QDataStream&, const Avatar& );
    friend QDataStream& operator >> (QDataStream&, Avatar& );
    //@}

};

#endif
