/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "AvatarManipulationDialog.h"
#include "AvatarManipulationWidget.h"

#include <QLabel>

//____________________________________________________________________________
AvatarManipulationDialog::AvatarManipulationDialog( QWidget* parent, const QPixmap& image ):
    CustomDialog( parent, OkButton|CancelButton )
{

    Debug::Throw( "AvatarManipulationDialog::AvatarManipulationDialog.\n" );

    setOptionName( "AVATAR_MANIPULATION_DIALOG" );

    // label
    QLabel* label = new QLabel(
        tr( "Select the region of the image used to create your avatar:"),
        this );

    // avatar manipulation widget
    QVBoxLayout* vLayout = new QVBoxLayout();
    vLayout->setMargin(0);
    vLayout->setSpacing(10);
    mainLayout().addLayout( vLayout );

    vLayout->addWidget( label, 0 );
    vLayout->addWidget( widget_ = new AvatarManipulationWidget( this, image ), 1 );

    // customize dialog buttons
    // add reset button
    buttonBox().addButton( QDialogButtonBox::Reset );
    okButton().setDefault(true);
    okButton().setFocus();
    connect( buttonBox().button(QDialogButtonBox::Reset), SIGNAL(clicked()), widget_, SLOT(resetSelection()) );

}
