#ifndef AvatarPixmap_h
#define AvatarPixmap_h
/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"
#include "File.h"

#include <QPixmap>

class AvatarPixmap: public QPixmap, public Counter
{

    public:

    //* constructor
    AvatarPixmap( QString userName );

    //* constructor
    AvatarPixmap( QString userName, const QPixmap& other );

    //*@name accessors
    //@{

    //* userName
    QString userName( void ) const
    { return userName_; }

    //* get file name
    File filename( void ) const;

    //@}

    //*@name modifiers
    //@{

    using QPixmap::save;

    //* save
    bool save( void ) const;

    //* remove
    bool remove( void ) const;

    //@}

    private:

    //* userName
    QString userName_;

};

#endif
