/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "ChatMessageThread.h"

//______________________________________________________
ChatMessageThread::ChatMessageThread( QObject* parent ):
    QThread( parent ),
    Counter( "ChatMessageThread" )
{}


//______________________________________________________
void ChatMessageThread::setup( const ChatMessageSet& messages, const TimeStamp& timestamp, const QStringList& recipients )
{
    messages_ = messages;
    timestamp_ = timestamp;
    recipients_ = recipients;
}

//______________________________________________________
void ChatMessageThread::run( void )
{
    messages_.read( timestamp_ );
    messageList_ = messages_.fetch( timestamp_, recipients_ );
}
