#ifndef ClientConfigurationDialog_h
#define ClientConfigurationDialog_h
/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseConfigurationDialog.h"

class AvatarSelectionWidget;

//* configuration dialog
class ClientConfigurationDialog: public BaseConfigurationDialog
{

    Q_OBJECT

    public:

    //* creator
    ClientConfigurationDialog( QWidget* );

    //*@name accessors
    //@{

    AvatarSelectionWidget& avatarSelectionWidget( void ) const
    { return *avatarSelectionWidget_; }

    //@}

    //*@name modifiers
    //@{
    //* sound notifications
    void setTextNotificationsSupported( bool value )
    { textNotificationsSupported_ = value; }

    //* sound notifications
    void setSoundNotificationsSupported( bool value )
    { soundNotificationsSupported_ = value; }

    //* realize widget
    void realizeWidget( void );
    //@}

    private:

    //* avatar selection widget
    AvatarSelectionWidget* avatarSelectionWidget_ = nullptr;

    //* text notifications
    bool textNotificationsSupported_ = true;

    //* sound notifications
    bool soundNotificationsSupported_ = true;

};

#endif
