#ifndef EmoticonButton_h
#define EmoticonButton_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomToolButton.h"

#include <QEvent>
#include <QKeyEvent>
#include <QPaintEvent>

class EmoticonButton: public CustomToolButton
{

    Q_OBJECT

    public:

    //* constructor
    EmoticonButton( QWidget* );

    //* set colorize flag
    void setColorize( bool value )
    {
        colorize_ = value;
        colorizeFromOptions_ = false;
    }

    protected:

    //* generic event handler
    virtual bool event( QEvent* );

    //* paint event
    virtual void paintEvent( QPaintEvent* );

    //* key release event
    virtual void keyReleaseEvent( QKeyEvent* );

    private Q_SLOTS:

    //* update configuration
    void _updateConfiguration( void );

    private:

    //* colorize from options
    bool colorizeFromOptions_ = true;

    //* colorize
    bool colorize_ = false;

};

#endif
