#ifndef FileEmissionClient_h
#define FileEmissionClient_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "ChatClient.h"
#include "BaseFileInfo.h"
#include "ConnectionId.h"
#include "FileChunk.h"

#include <QTimer>

class FileEmissionThread;

//* interprocess communication client
class FileEmissionClient : public ChatClient
{

    //* Qt meta object macro
    Q_OBJECT

    public:

    //* constructor
    FileEmissionClient( QObject* );

    //*@name accessors
    //@{

    //* file info
    BaseFileInfo fileInfo( void ) const;

    //@}

    //*@name modifiers
    //@{

    //* connection id
    void setConnectionId( const ConnectionId& );

    //* file info
    void setFileInfo( const BaseFileInfo& );

    //* send
    void send( void );

    //*}

    Q_SIGNALS:

    //* emitted when transfer is completed
    void finished( void );

    public Q_SLOTS:

    //* cancel
    void cancel( void );

    protected Q_SLOTS:

    //* finish
    void _finish( void );

    private:

    //* file emission thread
    FileEmissionThread* thread_ = nullptr;

};

#endif
