#ifndef FileTransferRequestDialog_h
#define FileTransferRequestDialog_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseFileInfo.h"
#include "ConnectionId.h"
#include "CustomDialog.h"

class BrowsedLineEditor;

//* file transfer request
class FileTransferRequestDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //* constructor
    FileTransferRequestDialog( QWidget*, ConnectionId, BaseFileInfo );

    //*@name accessors
    //@{

    //* sender
    ConnectionId sender( void ) const
    { return sender_; }

    //* sender
    BaseFileInfo fileInfo( void ) const
    { return fileInfo_; }

    //* download location
    File downloadLocation( void ) const;

    Q_SIGNALS:

    //* accept file transfer
    void acceptFileTransfer( ConnectionId, BaseFileInfo, File );

    //* den file transfer
    void denyFileTransfer( ConnectionId, BaseFileInfo );

    public Q_SLOTS:

    //* accept
    virtual void accept( void );

    //* reject
    virtual void reject( void );

    protected Q_SLOTS:

    //* restore default location
    void _restoreDefaultLocation( void );

    private:

    //* location editor
    BrowsedLineEditor* editor_;

    //* connection id
    ConnectionId sender_;

    //* file
    BaseFileInfo fileInfo_;

};

#endif
