/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "HistoryMenu.h"
#include "Debug.h"

//__________________________________________________
HistoryMenu::HistoryMenu( QWidget* parent ):
    QMenu( parent ),
    Counter( "HistoryMenu" )
{
    Debug::Throw( "HistoryMenu::HistoryMenu.\n" );
    actions_.insert( addAction( tr( "Today" ) ), Today );
    actions_.insert( addAction( tr( "Yesterday" ) ), OneDay );
    actions_.insert( addAction( tr( "One Week" ) ), OneWeek );
    actions_.insert( addAction( tr( "Two Weeks" ) ), TwoWeeks );
    actions_.insert( addAction( tr( "One Month" ) ), OneMonth );
    actions_.insert( addAction( tr( "Six Months" ) ), SixMonths );
    actions_.insert( addAction( tr( "From Beginning" ) ), AllMessages );

    connect( this, SIGNAL(triggered(QAction*)), SLOT(_actionTriggered(QAction*)) );
}

//__________________________________________________
void HistoryMenu::_actionTriggered( QAction* action )
{
    Debug::Throw( "HistoryMenu::_actionTriggered.\n" );
    ActionMap::const_iterator iter( actions_.find( action ) );
    if( iter != actions_.end() )
    { emit delayChanged( iter.value() ); }
}
