#ifndef HistoryMenu_h
#define HistoryMenu_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"

#include <QAction>
#include <QHash>
#include <QMenu>

class HistoryMenu:public QMenu, public Counter
{

    Q_OBJECT

    public:

    //* creator
    HistoryMenu( QWidget* = nullptr );

    //* fetch delay enumeration
    enum Delay
    {
        Today,
        OneDay,
        OneWeek,
        TwoWeeks,
        OneMonth,
        SixMonths,
        OneYear,
        AllMessages
    };

    Q_SIGNALS:

    //* request messages for a given delay
    void delayChanged( HistoryMenu::Delay );

    protected Q_SLOTS:

    //* request messages based on action
    void _actionTriggered( QAction* );

    private:

    //* map actions to delay
    using ActionMap = QHash<QAction*, Delay>;
    ActionMap actions_;

};

#endif
