/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "SshSynchronizationApplication.h"
#include "SshSynchronizationDialog.h"

namespace Ssh
{

    //____________________________________________
    SynchronizationApplication::SynchronizationApplication( CommandLineArguments arguments ) :
        BaseApplication( nullptr, arguments ),
        Counter( "SynchronizationApplication" )
    {}

    //____________________________________________
    bool SynchronizationApplication::realizeWidget( void )
    {
        Debug::Throw( "SynchronizationApplication::realizeWidget.\n" );

        // check if the method has already been called.
        if( !BaseApplication::realizeWidget() ) return false;

        // synchronization dialog
        synchronizationDialog_ = new Ssh::SynchronizationDialog( nullptr );
        synchronizationDialog_->readConnectionAttributes();
        synchronizationDialog_->centerOnDesktop();
        synchronizationDialog_->show();

        return true;
    }

    //____________________________________________
    void SynchronizationApplication::usage( void ) const
    {
        _usage( "Homechat-synchronize" );
        commandLineParser().usage();
        return;
    }

}
